Loading...
Searching...
No Matches
osmium::builder Namespace Reference

Classes for building OSM objects and other items in buffers. More...

## Namespaces

namespace | attr

## Classes

class | AreaBuilder
class | Builder
class | ChangesetBuilder
class | ChangesetDiscussionBuilder
class | NodeBuilder
class | NodeRefListBuilder
class | OSMObjectBuilder
class | RelationBuilder
class | RelationMemberListBuilder
class | TagListBuilder
class | WayBuilder

## Typedefs

using | WayNodeListBuilder = NodeRefListBuilder< WayNodeList >
using | OuterRingBuilder = NodeRefListBuilder< OuterRing >
using | InnerRingBuilder = NodeRefListBuilder< InnerRing >

## Functions

constexpr | _visible (bool value=true) noexcept

## Detailed Description

Classes for building OSM objects and other items in buffers.

## Typedef Documentation

## InnerRingBuilder

using osmium::builder::InnerRingBuilder = typedef NodeRefListBuilder<InnerRing>

## OuterRingBuilder

using osmium::builder::OuterRingBuilder = typedef NodeRefListBuilder<OuterRing>

## WayNodeListBuilder

using osmium::builder::WayNodeListBuilder = typedef NodeRefListBuilder<WayNodeList>

## Function Documentation

## _visible()

constexpr osmium::builder::_visible | ( | bool | value = `true` | ) |

explicit constexpr noexcept